PULSAR
API ReferenceProduction Advancements

Get Quantity Suggestions

Get a single quantity suggestions, identified by machineId.

Authorization

bearerAuth
Authorization<token>

In: header

Path Parameters

machineId*number

The machine's ID.

Formatdouble

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

[index: integer]?

Response Body

application/json

Try it live
POST
/production-advancements/{machineId}/quantity/suggestions

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

curl -X POST "https://example.com/production-advancements/0.1/quantity/suggestions" \  -H "Content-Type: application/json" \  -d '[    {      "end": 0.1,      "start": 0.1    }  ]'
[  {    "hasSensor": true,    "quantity": 0.1,    "skuId": "string",    "end": "2019-08-24T14:15:22Z",    "start": "2019-08-24T14:15:22Z"  }]